#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-3RMGX6QgnicJyobOY4FESJ-dns-internal
key:                  dns-4.0.1-3RMGX6QgnicJyobOY4FESJ-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  721159c3377a094d8904395d5e2aefd0
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-3RMGX6QgnicJyobOY4FESJ-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-LxjN3fqaAxU7y1HouqRT3c
    attoparsec-0.14.4-GTUovz5zqDi6zhtjAcFzCG
    auto-update-0.1.6-80puWdvWMjO1AMYiwtIOmp base-4.15.1.0
    base16-bytestring-1.0.2.0-1Q05LVPn1NZ2OQtCegkEPP
    base64-bytestring-1.2.1.0-Cmm20kzivR28lOWVTvnKrp
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4oOqVnDnOuA8A3oOKQmU8i
    hourglass-0.2.12-6oBbxgayMWE8JBYajGSrrC
    iproute-1.7.12-IvDL9glrfg5kLUZGhHtKw mtl-2.2.2
    network-3.1.2.7-IxSapBmcUjdKlUh8acAzLk
    psqueues-0.2.7.3-FJfm9thRteVBfxl10YUoPf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-3WZI8GRxv6k7qtQgKde1u2
key:                  dns-4.0.1-3WZI8GRxv6k7qtQgKde1u2
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c3b3ea620281d13b04290d62882e73bf
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-3WZI8GRxv6k7qtQgKde1u2
depends:
    array-0.5.4.0 async-2.2.4-LxjN3fqaAxU7y1HouqRT3c
    attoparsec-0.14.4-GTUovz5zqDi6zhtjAcFzCG
    auto-update-0.1.6-80puWdvWMjO1AMYiwtIOmp base-4.15.1.0
    base16-bytestring-1.0.2.0-1Q05LVPn1NZ2OQtCegkEPP
    base64-bytestring-1.2.1.0-Cmm20kzivR28lOWVTvnKrp
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4oOqVnDnOuA8A3oOKQmU8i
    dns-4.0.1-3RMGX6QgnicJyobOY4FESJ-dns-internal
    hourglass-0.2.12-6oBbxgayMWE8JBYajGSrrC
    iproute-1.7.12-IvDL9glrfg5kLUZGhHtKw mtl-2.2.2
    network-3.1.2.7-IxSapBmcUjdKlUh8acAzLk
    psqueues-0.2.7.3-FJfm9thRteVBfxl10YUoPf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

